petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSSetMaxTime

Sets the maximum (or final) time for timestepping.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetMaxTime(TS ts,PetscReal maxtime)

Logically Collective on TS

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| maxtime | - final time to step to

### Options Database Keys

-ts_max_time <maxtime> -Sets maxtime

### Notes

The default maximum time is 5.0

### Keywords

TS, timestep, set, maximum, time

### See Also

TSGetMaxTime(), TSSetMaxSteps(), TSSetExactFinalTime()

### Level

intermediate

### Location

src/ts/interface/ts.c

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages